org.apache.ignite.internal.processors.odbc

## Class OdbcQueryExecuteRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcRequest
  - - org.apache.ignite.internal.processors.odbc.OdbcQueryExecuteRequest

    public class OdbcQueryExecuteRequest
    extends OdbcRequest

ODBC query execute request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`CLOSE_SQL_QUERY, EXECUTE_SQL_QUERY, FETCH_SQL_QUERY, GET_COLUMNS_META, GET_PARAMS_META, GET_TABLES_META, HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryExecuteRequest(String cacheName, String sqlQry, Object[] args)`

### Method Summary

Methods
`Object[]` `arguments()`
`String` `cacheName()`
`String` `sqlQuery()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`command`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQueryExecuteRequest

    public OdbcQueryExecuteRequest(String cacheName,
                           String sqlQry,
                           Object[] args)

Parameters:
  `cacheName` - Cache name.
  `sqlQry` - SQL query.
  `args` - Arguments list.

### Method Detail

#### sqlQuery

    public String sqlQuery()

Returns:
  Sql query.

#### arguments

    public Object[] arguments()

Returns:
  Sql query arguments.

#### cacheName

    @Nullable
    public String cacheName()

Returns:
  Cache name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017